Auto-resolve as escalated and return the evidence bundle (email delivery is a follow-up)
curl --request POST \
--url https://api.range.org/v2/cases/{id}/escalate \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"note": "Escalating for SAR filing."
}
'import requests
url = "https://api.range.org/v2/cases/{id}/escalate"
payload = { "note": "Escalating for SAR filing." }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: 'Escalating for SAR filing.'})
};
fetch('https://api.range.org/v2/cases/{id}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recipient": "analyst@range.org",
"bundle_id": "<string>",
"escalated_at": "<string>",
"bundle": {
"case": {
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"subject": {
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"tx_hash": "0xabc...",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"viewed": true,
"comments": [
{
"id": "<string>",
"author": "analyst@range.org",
"body": "<string>",
"created_at": "<string>"
}
],
"source_id": "<string>",
"assignee": "<string>",
"created_by": "<string>",
"resolved_at": "<string>",
"evidence_summary": {}
},
"timeline": [
{
"id": "<string>",
"actor": "analyst@range.org",
"details": {},
"created_at": "<string>"
}
],
"investigations": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workspace_id": "workspace-123",
"title": "Peel chain from Binance hot wallet",
"status": "open",
"created_at": "2026-07-09T00:00:00.000Z",
"updated_at": "2026-07-09T00:00:00.000Z",
"data": {
"nodes": [],
"notes": [],
"canvas": {}
},
"subject_address": "0xabc...",
"subject_network": "eth",
"subject_tx_hash": "0xdef...",
"created_by": "analyst@range.org"
}
]
}
}Cases
Auto-resolve as escalated and return the evidence bundle (email delivery is a follow-up)
POST
/
v2
/
cases
/
{id}
/
escalate
Auto-resolve as escalated and return the evidence bundle (email delivery is a follow-up)
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
The case id (uuid).
Body
application/json
Maximum string length:
2000Example:
"Escalating for SAR filing."
Last modified on August 5, 2026
Was this page helpful?
⌘I